@echo OFF
rem  * *******************************************************************
rem  *               SRTKSDW2.cmd - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Use MFSORT, create an Empty Key-Sequenced-Data-Set (KSDS)
rem  * Author - SimoTime Technologies
rem  * Date   - January 01, 1989
rem  *
rem  * This example uses the Micro Focus SORT Program to create an
rem  * empty KSDS Cluster.
rem  *
rem  * Step 1, Set the environment
rem  * Step 2, Execute the SORT program.
rem  *
rem  * *******************************************************************
rem  * Step 1 of 2, Set the global environment variables...
rem  *
     set CmdName=SRTKSDW2
     call ..\Env1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting JobName %CmdName%, User is %USERNAME%"
     set SYSOUTSAVE=%SYSOUT%
     set SYSOUTUSER=%BaseLib1%\LOGS\SYSOUT_%CMDNAME%.txt
     set SYSOUT=%SYSOUTUSER%
rem  *
rem  * *******************************************************************
rem  * Step 2 of 2, Create an Empty KSDS Cluster...
rem  *
     call SimoNOTE "Identify Create a VSAM, KSDS Cluster"
     set SYSIN=%BaseLib1%\PARMLIB\SRTKSDX2.ctl
     set SORTIN=NUL:
     set SORTOUT=%BaseLib1%\DATA\APPL\SIMOTIME.DATA.SRTKSD80.dat
     if  exist %SORTOUT% erase %SORTOUT%
     MFSORT take %SYSIN%
     if ERRORLEVEL = 1 set JobStatus=0020
     set SYSOUT=%SYSOUTSAVE%
     if not "%JobStatus%" == "0000" goto :EOJNOK
     if exist %SORTOUT% goto :EOJAOK
        call SimoNOTE "ABENDING JobStep EOJNOK, Sort Failure..."
        goto :EOJNOK
rem  *
rem  * *******************************************************************
rem  * End of Job Processing...
rem  *
:EOJNOK
     call SimoNOTE "ABENDING JobName %CmdName%, JobStatus %JobStatus%"
     call SimoNOTE "ABENDING Message JobStatus %JobStatus%"
     goto :EOJEND
:EOJAOK
     if exist %SORTOUT% call SimoNOTE "Produced DataSet %SORTOUT%"
     call SimoNOTE "Finished JobName %CmdName%"
:EOJEND
     call SimoNOTE "Conclude SYSOUT is %SYSOUTUSER%"
     if not "%1" == "nopause" pause
